Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.form.event
Class ComboBoxListenerAdapter

    java.lang.Object
      com.gwtext.client.widgets.event.ComponentListenerAdapter
          com.gwtext.client.widgets.event.BoxComponentListenerAdapter
              com.gwtext.client.widgets.form.event.FieldListenerAdapter
                  com.gwtext.client.widgets.form.event.ComboBoxListenerAdapter

All Implemented Interfaces:
  BoxComponentListener, ComponentListener, ComboBoxListener, FieldListener

    public class ComboBoxListenerAdapter

extends FieldListenerAdapter
implements ComboBoxListener

Constructor Summary
`ComboBoxListenerAdapter()`

Method Summary
`boolean` | `doBeforeQuery(ComboBox comboBox, ComboBoxCallback cb)` Fires before all queries are processed.
`boolean` | `doBeforeSelect(ComboBox comboBox, Record record, int index)` Fires before a list item is selected.
`void` | `onCollapse(ComboBox comboBox)` Fires when the dropdown list is collapsed.
`void` | `onExpand(ComboBox comboBox)` Fires when the dropdown list is expanded.
`void` | `onSelect(ComboBox comboBox, Record record, int index)` Fires when a list item is selected.

Methods inherited from class com.gwtext.client.widgets.form.event.FieldListenerAdapter
`onBlur, onChange, onChange, onFocus, onInvalid, onSpecialKey, onValid`

Methods inherited from class com.gwtext.client.widgets.event.BoxComponentListenerAdapter
`onMove, onResize`

Methods inherited from class com.gwtext.client.widgets.event.ComponentListenerAdapter
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.gwtext.client.widgets.form.event.FieldListener
`onBlur, onChange, onFocus, onInvalid, onSpecialKey, onValid`

Methods inherited from interface com.gwtext.client.widgets.event.BoxComponentListener
`onMove, onResize`

Methods inherited from interface com.gwtext.client.widgets.event.ComponentListener
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Constructor Detail

### ComboBoxListenerAdapter

    public ComboBoxListenerAdapter()

Method Detail

### doBeforeQuery

    public boolean doBeforeQuery(ComboBox comboBox,
                                 ComboBoxCallback cb)

  Description copied from interface: `ComboBoxListener`
  Fires before all queries are processed. Return false to cancel the query.

  Specified by:
    `doBeforeQuery` in interface `ComboBoxListener`
  Parameters:
    `comboBox` - this
    `cb` - callback
  Returns:
    false to cancel the query

### doBeforeSelect

    public boolean doBeforeSelect(ComboBox comboBox,
                                  Record record,
                                  int index)

  Description copied from interface: `ComboBoxListener`
  Fires before a list item is selected. Return false to cancel the selection.

  Specified by:
    `doBeforeSelect` in interface `ComboBoxListener`
  Parameters:
    `comboBox` - this
    `record` - the data record returned from the underlying store
    `index` - the data record returned from the underlying store
  Returns:
    false to cancel

### onCollapse

    public void onCollapse(ComboBox comboBox)

  Description copied from interface: `ComboBoxListener`
  Fires when the dropdown list is collapsed.

  Specified by:
    `onCollapse` in interface `ComboBoxListener`
  Parameters:
    `comboBox` - this

### onExpand

    public void onExpand(ComboBox comboBox)

  Description copied from interface: `ComboBoxListener`
  Fires when the dropdown list is expanded.

  Specified by:
    `onExpand` in interface `ComboBoxListener`
  Parameters:
    `comboBox` - this

### onSelect

    public void onSelect(ComboBox comboBox,
                         Record record,
                         int index)

  Description copied from interface: `ComboBoxListener`
  Fires when a list item is selected.

  Specified by:
    `onSelect` in interface `ComboBoxListener`
  Parameters:
    `comboBox` - this
    `record` - the data record returned from the underlying store
    `index` - the data record returned from the underlying store

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD